## visad.data.netcdf.in
Class Vetter

    java.lang.Object
      visad.data.netcdf.in.Vetter

final class Vetter
extends Object

The Vetter class vets netCDF values, replacing invalid values with their VisAD equivalents.

Constructor Summary
`protected` `Vetter()` Constructs from nothing.
`(package private)` `Vetter(Class type)` Constructs from a netCDF variable type.
`(package private)` `Vetter(Variable var)` Constructs from a netCDF variable.

Method Summary
`(package private) double` `maxValid()` Returns the maximum, valid, netCDF value.
`(package private) double` `minValid()` Returns the minimum, valid, netCDF value.
`void` `vet(double[] values)` Vets the given double values.
`void` `vet(float[] values)` Vets the given float values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Vetter

    protected Vetter()

  Constructs from nothing. Protected to ensure use by subclasses only.

### Vetter

    Vetter(Class type)

  Constructs from a netCDF variable type.

Parameters:
  `type` - The Java type of the netCDF variable (i.e. float.class, char.class, etc.)

### Vetter

    Vetter(Variable var)

  Constructs from a netCDF variable.

Parameters:
  `var` - The netCDF variable to be examined.

Method Detail

### minValid

    double minValid()

  Returns the minimum, valid, netCDF value.

  Returns:
    The minimum, valid, value for the variable.

### maxValid

    double maxValid()

  Returns the maximum, valid, netCDF value.

  Returns:
    The maximum, valid, value for the variable.

### vet

    public void vet(float[] values)

  Vets the given float values.

  Parameters:
    `values` - The values to be vetted.

### vet

    public void vet(double[] values)

  Vets the given double values.

  Parameters:
    `values` - The values to be vetted.